function Traer_Wifget() {
  $.ajax({
    "url": "../controller/inicio/controller_traer_widget.php",
    type: 'POST',
  }).done(function (resp) {

    let data = JSON.parse(resp);
    if (data.length > 0) {
      document.getElementById('lbl_tramites_registrados').innerHTML = data[0][0];
      document.getElementById('lbl_tramites_finalizados').innerHTML = data[0][1];
      document.getElementById('lbl_tramites_pendientes').innerHTML = data[0][2];

    }
  })
}
function verificar_panel() {
  let panel_l = document.getElementById('panel_local');
  let rol = document.getElementById('txtprincipalrol').value;
  if (rol == 'Administrador') {
    panel_l.style.display = 'none';
  } else {
    panel_l.style.display = 'block';
  }

}

function Traer_Wifget_Area() {
  let idarea = document.getElementById('txtprincipalareaid').value;
  $.ajax({
    "url": "../controller/inicio/controller_traer_widget_area.php",
    type: 'POST',
    data: {
      idarea: idarea
    }
  }).done(function (resp) {

    let data = JSON.parse(resp);
    if (data.length > 0) {
      document.getElementById('lbl_tramites_registrados_l').innerHTML = data[0][0];
      document.getElementById('lbl_tramites_finalizados_l').innerHTML = data[0][1];
      document.getElementById('lbl_tramites_pendientes_l').innerHTML = data[0][2];

    }
  })
}

function cargar_comunicado() {
  let idarea = document.getElementById('txtprincipalareaid').value;
  $.ajax({
    "url": "../controller/inicio/controller_traer_comunicado_area.php",
    type: 'POST',
    data: {
      idarea: idarea
    }
  }).done(function (resp) {
    let data = JSON.parse(resp);

    // función para mostrar alertas de forma consecutiva
    function mostrarAlertas(i) {
      if (i < data.length) {
        Swal.fire({
          title: 'COMUNICADO',
          html:
            '<div style="text-align: justify;font-size:14px">' + data[i]["comu_detalle"] + '</div><br>' +
            '<div style="text-align: left;font-size:14px">' + '<b>Fecha Creacion: </b>' + data[i]["comu_fecharegistro"] + '</div>' +
            '<div style="text-align: left;font-size:14px">' + '<b>De: </b>' + data[i]["ORIGEN"] + '</div>',
          showClass: {
            popup: 'animate__animated animate__fadeInDown'
          },
          hideClass: {
            popup: 'animate__animated animate__fadeOutUp'
          }
        }).then((value) => {
          mostrarAlertas(i + 1);
        })

      }

    }

    if (data.length > 0) {
      mostrarAlertas(0); // empezar a mostrar las alertas desde la primera
    }



  })
}

function llamar_check(tema) {
  let car = $('#tema_oscuro').is(":checked") ? 1 : 0;
  let bootstrapActual = "";
  let niftyActual = "";
  let darkB = "./assets/css/color-schemes/dark/bootstrap.min.css";
  let darkN = "./assets/css/color-schemes/dark/nifty.min.css";
  //let lightB = "./assets/css/color-schemes/light/bootstrap.min.css";
  let lightN = "./assets/css/color-schemes/light/nifty.min.css";
  let normalB = "./assets/css/color-schemes/primary-nav/navy/bootstrap.min.css";
  let normalN = "./assets/css/color-schemes/primary-nav/navy/nifty.min.css";
  let idusu = document.getElementById('txtprincipalid').value;

  if (tema == 'Tema Oscuro') {
    document.getElementById('bootstrapcss').href = darkB;
    document.getElementById('niftycss').href = darkN;
    bootstrapActual = darkB;
    niftyActual = darkN;
    localStorage.cssB =darkB;
    localStorage.cssN =darkN;

  } else if(tema == 'Tema Original') {
    document.getElementById('bootstrapcss').href = normalB;
    document.getElementById('niftycss').href = normalN;
    bootstrapActual = normalB;
    niftyActual = normalN;
    localStorage.cssB =normalB;
    localStorage.cssN =normalN;
   

  }else if(tema =='Tema Claro'){
    document.getElementById('bootstrapcss').href = normalB;
    document.getElementById('niftycss').href = lightN;
    bootstrapActual = normalB;
    niftyActual = lightN;
    localStorage.cssB =normalB;
    localStorage.cssN =lightN;

  }

  $.ajax({
    "url": "../controller/usuario/controller_guardar_tema_usuario.php",
    type: 'POST',
    data: {
      idusu: idusu,
      bootstrapActual: bootstrapActual,
      niftyActual: niftyActual
    }
  }).done(function (resp) {

  });
}


function llamar_tema() {
  let idusu = document.getElementById('txtprincipalid').value;
  $.ajax({
    "url": "../controller/usuario/controller_llamar_tema_usuario.php",
    type: 'POST',
    data: {
      idusu: idusu,
    }
  }).done(function (resp) {
    let data = JSON.parse(resp);

    if (data.length > 0) {
      document.getElementById('bootstrapcss').href = data[0][1];
      document.getElementById('niftycss').href = data[0][3];
    }

  });
}